from setuptools import setup, find_packages
import sys

setup(
    name='webifytk',
    version='0.1.2',
    packages=find_packages(),
    install_requires=[
        'customtkinter>=5.1.2',
        'pillow>=9.0.0',
        'requests>=2.26.0',
        'PyQt6>=6.4.0',
        'PyQt5>=5.15.0',
        'PyQtWebEngine>=5.15.0'
    ],
    python_requires='>=3.10',
    description='Cria interfaces gráficas modernas que parecem sites! (Requer Python 3.10+)',
    long_description=open('README.md', encoding='utf-8').read(),
    long_description_content_type='text/markdown',
    classifiers=[
        'Programming Language :: Python :: 3.10',
        'Programming Language :: Python :: 3.11',
        'License :: OSI Approved :: MIT License',
        'Operating System :: OS Independent',
    ]
)
