import sys

# Verifica versão do Python
if sys.version_info < (3, 10):
    raise ImportError('''
🚨 ATENÇÃO: WebifyTk requer Python 3.10 ou superior!

Para atualizar:
1. Baixe Python 3.10+: https://www.python.org/downloads/
2. Ou rode: python -m pip install --upgrade python

Versão atual: {}.{}.{}
Versão mínima: 3.10.0
'''.format(*sys.version_info[:3]))

from .core import WebifyApp, WebifyStyle, WebifyComponent

__version__ = '0.1.2'
